.primaryBtn.block,
.outlineBtn.block{
    display: block;
}


.popover.contactPopover .spin {
    animation: 0.5s linear infinite spinner;
    animation-play-state: inherit;
    border: solid 2px #cfd0d1;
    border-bottom-color: white;
    border-radius: 50%;
    content: "";
    height: 14px;
    width: 14px;
    will-change: transform;
    display: inline-block;
  }
  @keyframes spinner {
    0% {
      transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
  }

#contactSalesBtn{
    position: fixed;
    bottom: 50px;
    right: 152px;
    display: block;
    z-index: 999;
    padding: 0 15px;
    white-space: nowrap;
    cursor: pointer;
    background-color: #32eb96;
    border-radius: 20px 10px 10px 0px;
    box-shadow: 0 2px 16px 0 rgba(0, 0, 0, 0.5);
    text-decoration: none;
    font-family: FoundersGrotesk;
    font-weight: 500;
    font-size: 16px;
    line-height: 2.45;
    color: #044123;    
}

#contactSalesBtn::before{
    content: attr(data-popover-default);
}

#contactSalesBtn::after{
    font-family: "Font Awesome 5 Pro";
    content: "\f054";
    font-weight: 900;
    padding-left: 6px;
    vertical-align: middle;
}

#contactSalesBtn.opened::before{
    content: attr(data-popover-close);
}

#contactSalesBtn.opened::after{
    content: "\f00d";
    vertical-align: middle;
}

.popover.contactPopover{
    background-color: #fff;
    font-family: FoundersGrotesk;
    font-size: 18px;
    border: none;
    padding: 0;
    box-shadow: 0 2px 25px 0 rgba(0, 0, 0, 0.5);
    -webkit-box-shadow: 0 2px 25px 0 rgba(0, 0, 0, 0.5);
    line-height: 1.33;
    color: #004a27;
    position: fixed;
    max-height: 582px;
    max-width: 572px;
    z-index: 998;
}

.popover.contactPopover .popover-header{
    display: block;
    background-color: #044123;
    background-image: url(//www.ni.com/content/dam/web/scene7/images/logo_2.svg );
    background-repeat: no-repeat;
    background-position: 20px;
    height: 46px;
    width: 100%;
    background-size: auto 14px;
}

.popover.contactPopover .popover-content{
    padding: 18px 20px 25px 20px;
}

.popover.contactPopover.top{
    margin-top: -25px;
}

.popover.contactPopover.top .sales-arrow {
    left: calc(100% - 70px)!important;
    background-image: url("https://ni.scene7.com/is/image/ni/contact_sales_arrow_2x?fmt=png-alpha");
    background-position: center;
    background-repeat: no-repeat;
    background-size: 20px 20px;
    width: 25px;
    height: 25px;
    position: absolute;
    bottom: -22px;
}

.popover.contactPopover .primaryBtn{
    background-color: #044123;
    padding: 0;
    font-family: FoundersGrotesk;
    font-size: 18px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    height: 43px;
    line-height: 2;
    letter-spacing: normal;
    text-align: center;
    color: #fafbff !important;
    text-decoration: none;
    border-radius: 15px 10px 15px 0;
    border: 2px solid transparent;
    min-width: 100px;
}

.popover.contactPopover .primaryBtn:hover,
.popover.contactPopover .primaryBtn:active,
.popover.contactPopover .primaryBtn:focus{
    background-color: #044123!important;
    outline: none;
}

.popover.contactPopover .primaryBtn.disabled{
    background-color: gray;
    cursor: default;
}

.popover.contactPopover .primaryBtn.disabled:hover{
    background-color: gray!important;
    cursor: not-allowed;
}

.popover.contactPopover .outlineBtn{
    background-color: #fff;
    border: solid 2px #03b585;
    padding: 12px 28px;
    font-family: FoundersGrotesk;
    font-size: 18px;
    font-weight: 500;
    font-stretch: normal;
    font-style: normal;
    line-height: 1;
    letter-spacing: normal;
    text-align: center;
    color: #044123;
    text-decoration: none;
    border-radius: 15px 10px 15px 0;
    margin-top: 13px;
}

.primaryBtn.block,
.outlineBtn.block{
    display: block;
}

.popover.contactPopover .questions p{
    margin-bottom: 12px;
}

.popover.contactPopover #contactSalesform{
    width: 532px;
}

.popover.contactPopover h3,
.popover.contactPopover .h3{
    font-family: FoundersGrotesk;
    font-size: 18px;
    font-weight: normal;
    line-height: 1.33;
    letter-spacing: normal;
    color: #005f31;
    display: block;
    margin-bottom: .5rem;
}

.popover.contactPopover h4,
.popover.contactPopover .h4{
    font-family: FoundersGrotesk;
    font-size: 14px;
    font-weight: normal;
    line-height: 1.13;
    letter-spacing: normal;
    color: #005f31;
    display: block;
    margin-bottom: .5rem;
}

.popover.contactPopover .row:last-of-type{
    margin-bottom: 0;
}

.popover.contactPopover textarea{
    border-radius: 0;
    font-size: 18px;
}
.popover.contactPopover textarea,
.popover.contactPopover input[type=email], 
.popover.contactPopover input[type=password], 
.popover.contactPopover input[type=text],
.popover.contactPopover input[type=tel],
.popover.contactPopover select{
    border: 2px solid #ccdcc8;
    box-shadow: none;
    -webkit-box-shadow: none;
    border-radius: 0;
    margin-bottom: 5px;
}

.popover.contactPopover input[type=email], 
.popover.contactPopover input[type=password], 
.popover.contactPopover input[type=text],
.popover.contactPopover input[type=tel],
.popover.contactPopover select{
    height: 42px!important;
}

.popover.contactPopover textarea::placeholder,
.popover.contactPopover input[type=email]::placeholder, 
.popover.contactPopover input[type=password]::placeholder, 
.popover.contactPopover input[type=text]::placeholder,
.popover.contactPopover input[type=tel]::placeholder {
    opacity: 1;
  }


.popover.contactPopover textarea::placeholder,
.popover.contactPopover input[type=email]::placeholder,
.popover.contactPopover input[type=password]::placeholder, 
.popover.contactPopover input[type=text]::placeholder,
.popover.contactPopover input[type=tel]::placeholder,
.popover.contactPopover select{
    font-family: FoundersGrotesk!important;
    font-size: 17px!important;
    font-weight: normal;
    line-height: 1.29;
    letter-spacing: normal;
    color: #aca09a!important;
}

.popover.contactPopover .horizontal-radio-buttons input {
    vertical-align: middle;
    width: 20px;
    height: 20px !important;
}

.popover.contactPopover .horizontal-radio-buttons span:nth-child(2) {
    float: right;
}


.popover.contactPopover .checkbox-inline{
    font-family: FoundersGrotesk;
    font-size: 13px;
    font-weight: normal;
    line-height: 1.11;
    letter-spacing: 0.14px;
    color: #000000;
    text-transform: none;
    padding-left: 0;
}

.popover.contactPopover .has-error .form-control{
    border-color: #a94442;
}

.popover.contactPopover .checkbox-inline a,
.popover.contactPopover .checkbox-inline span{
    color: #00be90;
    text-decoration: none;
}

.popover.contactPopover hr{
    color: #e4e4e4;
    height: 1px;
    margin: 0 0 11px 0;
}

.popover.contactPopover .prevSlide{
    border-radius: 12px;
    background-color: #cbdcc8;
    color: #044123;
    width: 24px;
    height: 24px;
    display: inline-block;
    text-align: center;
    line-height: 24px;
    font-size: 14px;
    padding-right: 2px;
    padding-top: 0;
    padding-left: 0;
}

.popover.contactPopover .prevSlide i{
    margin-top: 5px;
    font-weight: 100;
}

.popover.contactPopover .ni-contact-sales-number {
    color: #044123;
}

.popover.contactPopover .phone{
    font-family: FoundersGrotesk;
    font-size: 14px;
    font-weight: normal;
    font-style: normal;
    line-height: 1.36;
    letter-spacing: 0.22px;
    color: #000;
}

.popover.contactPopover .phone span{ 
    color: #00552b;
}

.popover.contactPopover.ni-green{
    background-color: #03b585;
}

.popover.contactPopover .thanksSlide{
    height: 542px;
}
.popover.contactPopover .thanks{
    font-family: FinancierDisplay;
    font-size: 80px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1;
    color: #fff;
    margin-top: 70px;
    margin-bottom: 24px;
}


html[lang="ja"] .popover.contactPopover .thanks {
    font-size: 40px;
}


.popover.contactPopover .thanksMsg{
    font-family: FinancierDisplay;
    font-size: 46px;
    font-weight: normal;
    font-stretch: normal;
    font-style: normal;
    line-height: 1;
    letter-spacing: normal;
    color: #004a27;
    margin-bottom: 60px;
}


html[lang="ja"] .popover.contactPopover .thanksMsg{
    font-size: 28px;
}

.popover.contactPopover .thanksSlide img{
    width: 180px;
}

 .popover.contactPopover.ni-green.top>.sales-arrow{
    background-image: url("https://ni.scene7.com/is/image/ni/contact_sales_arrow_green_2x?fmt=png-alpha");
}

@media only screen and (max-width: 1119px){
    #contactSalesBtn{
        right: 18px;
        bottom: 28px;
    }

    .popover.contactPopover{
        left: auto!important;
        margin-left: 0!important;
        margin-right: 0!important;
        right: 12px!important;
        width: 335px;
    }

    .popover.contactPopover .flex-container {
        display: flex;
      }
    
      .flex-container > div.continue {
        display: flex;
        justify-content: flex-end;
        flex: 1;
      }

    .popover.contactPopover.top .sales-arrow{
        left: calc(100% - 50px)!important;
    }

    .popover.contactPopover .sales-arrow,
    .popover.contactPopover .sales-arrow:after{
        display: block!important;
    }

    .popover.contactPopover.top{
        margin-top: -40px;
    }

    .popover.contactPopover .primaryBtn{
        margin-bottom: 0;
    }

    .popover.contactPopover .primaryBtn.formSubmitter{
        height: 42px;
    }

    .popover.contactPopover .primaryBtn + .outlineBtn{
        margin-top: 13px;
    }

    .popover.contactPopover .mobileForm1 .prevSlide,
    .popover.contactPopover .mobileForm2 .prevSlide {
        margin-top: 10px;
        padding-top: 0;
        padding-left: 0;
        margin-right: 20px;
    }

    .popover.contactPopover .mobileForm2 .prevSlide{
        margin-top: 10px;
    }

    .popover.contactPopover .phone{
        margin-top: 15px;
        text-align: left;
    }

    .popover.contactPopover .thanksSlide{
        height: 259px;
    }

    .popover.contactPopover .thanks{
        font-size: 60px;
        margin-top: 71px;
        margin-bottom: 13px;
    }

    .popover.contactPopover .thanksMsg{
        font-size: 32px;
        margin-bottom: 40px;
    }

    .popover.contactPopover .thanksSlide img{
        width: 121px;
    }

    .popover.contactPopover input[type=email], 
    .popover.contactPopover input[type=password], 
    .popover.contactPopover input[type=tel], 
    .popover.contactPopover input[type=text], 
    .popover.contactPopover select {
        margin-bottom: 0;
    }
    .popover.contactPopover .mobileForm2 h4, 
    .popover.contactPopover .mobileForm2 .h4, 
    .popover.contactPopover .mobileForm2 h3,
    .popover.contactPopover .mobileForm2 .h3 {
       font-size: 14px;
       margin-bottom: 6px;
   }
   .popover.contactPopover .form-group {
    margin-bottom: 8px;
}
}

.popover.contactPopover .ni-invalid input {
    border-color: #ff647c;
}

.popover.contactPopover .ni-invalid .selected-message {
    font-size: 12px;
    color: #ff647c;
    display: block;
    position: absolute;
    font-family: FoundersGrotesk;
    font-weight: 500;
    bottom: 0;
}

.popover.contactPopover .fa.fa-times-circle {
    display: none;
}

.popover.contactPopover .ni-invalid .fa.fa-times-circle {
    position: absolute;
    color: #ff647c;
    right: 30px;
    top: 17px;
    font-size: 14px;
    display: block;
}